var _meses = ["Enero", "Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Setiembre","Octubre","Noviembre","Diciembre"];

$(document).ready(function(){
    //  $(".wrapper").css("height", screen.height+"px");
    //$(".block").css("height", screen.height+300+"px");

    $(document).ready(function(){
        $("#txtPassword").on({
            "keyup" : function(e){
                if (e.keyCode==13){
                    login();
                }
            }
        });
        
        
        $("#cont_menu ul li").hover(function() {
            //var dato = $(this).data('val');
            $(this).css("color", "#04B2F8");
            
            /*
            if (dato!='pass')
                $(this).css("background-color", "#def2f9");
            else
                $(this).css("color", "red");
              */  
        }, function() {
            $(this).css("background-color", "");
            $(this).css("color", "#333");
        });
        
        
        /*
         //submenu
        $("#cont_menu ul .submenu").hover(function() {
            $("#cont_menu ul .submenu ul").show();
            //abrir_abm();
        }, function() {
            $("#cont_menu ul .submenu ul").hide();
        });
        */
       
        $("#cont_menu ul li").on({
            "click" : function(){
                var dato = $(this).data('val');
                if (dato=='pass'){
                    abrir_pop();
                }else if(dato=='sal'){
                    logout();
                }
            }
        });
        
    })
    
    $(".block").hide();
    $(".main_opciones").hide();

    $(".edit_controls").hide();
/*
    $(".alertas").on({
        "click" : function(){
            
            load_mod("alertas", "#cont-busqueda");
        },
        "mouseover" : function(){
            $(this).addClass("over");
        },
        "mouseout" : function(){
            $(this).removeClass("over");
        }
    });
*/
    $("button").on(
    {
        "mouseover" : function(){
            $(this).addClass("over");
        },
        "mouseout" : function(){
            $(this).removeClass("over");
        }
    })
    
    $(".listas_admin li").on({
        "mouseover" : function(){
            $(this).addClass("over");
        },
        "mouseout" : function(){
            $(".listas_admin li.over").removeClass("over");
        }
    });
    
    $(".button-control").on({
        "mouseover" : function(){
            $(this).addClass("over");
        },
        "mouseout" : function(){
            $(this).removeClass("over");
        }
        
    })

    $("#menu-main-top ul li").on({
        "mouseover" : function(){
            $(this).addClass("over");
        },
        "mouseout" : function(){
            $(this).removeClass("over");
        },
        "click" : function(){
            
            if ($(this).hasClass("selected")){
                $("#menu-main-top ul li").removeClass("selected");
                
                $(this).removeClass("selected");
                
                //_get_selected_option(elem_selected_index);
                $(".main_opciones").hide();
            }
            else{
                
                $("#menu-main-top ul li").removeClass("selected");
                $(this).addClass("selected");
                var elem_selected_index = $("#menu-main-top ul li.selected").index();
                $(".main_opciones").show();
                _get_selected_option(elem_selected_index);
            }

        }
    })

    $(".subboton_central").mouseover(function(){
            $(this).addClass("over");
            $(".globo_menu_b").css({'margin-top': globo_margin[parseInt($(this).attr("id"))],'display':'block'});
            $('.globo_menu_b').html(globo_lbl[parseInt($(this).attr("id"))]);
    });
    $(".subboton_central").mouseout(function(){
            $(this).removeClass("over");
            $(".globo_menu_b").css({'margin-top': globo_margin[parseInt($(this).attr("id"))],'display':'none'});
    });
    
    //load_mod("alertas", "#alerts", {onlyalert : 1});

});


function add_events_lista(){
    $(".check_box_int_b").click(function(){
        var $check = $(this).prev();
        $check.click();
        if($check.is(':checked')){
            $(this).addClass('selected');
        }
        if(!$check.is(':checked')){
            $(this).removeClass('selected');
        }
    });

    $("ul.lista li").on({
        "mouseover" : function(){
            $(this).addClass("over");
        },
        "mouseout" : function(){
            $("ul.lista li.over").removeClass("over");
        }
    })       
}

function _close_menu_selected(){
    $(".main_opciones").slideUp(100);
}

function seleccionar_item_menu(item, text){
    $(".busqueda").show();
    _close_menu_selected();
    $(".botones_central").hide();
    eval("abrir_"+item+"();");
    breadcrumbs.goin("descartar_cambios_"+item+"();",text);
    breadcrumbs.show();
}


function Inicio(){
    location.href='main_menu';
}


function abrir_item_lista(item, val){
    $(".busqueda").hide();

    $(".body_int ul li.selected").removeClass("selected");
    $(".body_int ul li.over").addClass("selected");

    
    $(".body_int").hide();
    $(".lista-controls").hide();

    eval("abrir_"+item+"("+val+");");
    
    $(".buttons-form").appendTo(".form-control-content");
}

function agregar_nuevo_item(item){
    $(".busqueda").hide();
    
    $(".body_int ul li.selected").removeClass("selected");
    $(".body_int ul li.over").addClass("selected");

    

    $(".body_int").hide();
    
    $(".lista-controls").hide();

    eval("agregar_nuevo_"+item+"();");

    
    $(".buttons-form").appendTo(".form-control-content");
}




function abrir_busqueda(tipo, text, callback,extra_param){
    var params = {
        tipo : tipo,
        text : text,
        callback : callback
    };
    if (typeof extra_param=='object'){
        for(var vars in extra_param ){
            params[vars] = extra_param[vars];
        }
    }

    load_mod("busqueda", "#cont-busqueda",params);
}



function login(){
    var usuario = $("#txtUsuario").val();
    var password = $("#txtPassword").val();
    
    $.ajax({
        url : _url_controller + _url_sitio + "/x_login",
        data : {
            usuario : usuario, 
            password : password
        },
        type : "post",
        success : function(data){
            if (parseInt(data)==1){
                location.reload();
            }
            else{
            }
        }
    });
}

function logout(){
    location.href = "login/logout";
}

function abrir_pop(){
   $(".divbiglog").fadeToggle(300,function(){
       $("#oldpass").select();
   });
}

function cerrar_pop(){
   
   $(".divbiglog").fadeToggle(300);
   
}

function cambiar_clave(){
        
    var oldpass = $("#oldpass").val();
    var newpass = $("#newpass").val();
    var renewpass = $("#renewpass").val();
    var user = _USER.COD;
    
    var msg = "";
    //si campos estan vacios
    //si claves no coinciden
    if (oldpass !== _USER.PASSWEB || newpass.length<=0 || renewpass.length<=0)
        msg = "Complete todos los campos, por favor.";
    if ( newpass != renewpass)
        msg = "Las claves no coinciden.";
       
    if (msg.length>0){
       
        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
        setTimeout(function(){
            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
            $(".pop_changepass").find(":input").val("");
            $("#oldpass").select();
        },1500);
        return false;
    }
        
    _url_controller = 'login'
    
    $.ajax({
        url : _url_controller + "/x_cambiar_clave",
        data : {
            oldpass     : oldpass, 
            newpass     : newpass,
            user   : user
        },
        type : "post",
        success : function(data){
            
            if (parseInt(data)==0){
                //error
                msg = 'Error en los Datos. Intente otra vez.';
                //limpiar y foco
                setTimeout(function(){
                        var msg = 'Los Datos son incorrectos. Intente otra vez.';
                        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
                        $(".pop_changepass").find(":input").val("");
                        $("#oldpass").select();
                        setTimeout(function(){
                            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
                        },2000);
                        
                        
                },1000);
            }
            else{
                msg = 'Tu Clave fue cambiada con Exito. Vuelve a iniciar sesión.';
                $('.pop_changepass button').attr('disabled','disabled');
                $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('exito_msg').fadeIn(300);
                setTimeout(function(){
                    logout();
                },3000);
            }
        }
    });

}
